CVE-2005-4048

NameCVE-2005-4048
DescriptionHeap-based buffer overflow in the avcodec_default_get_buffer function (utils.c) in FFmpeg libavcodec 0.4.9-pre1 and earlier, as used in products such as (1) mplayer, (2) xine-lib, (3) Xmovie, and (4) GStreamer, allows remote attackers to execute arbitrary commands via small PNG images with palettes.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDSA-1004-1, DSA-1005-1, DSA-992-1
Debian Bugs342207, 342208, 343503

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
ffmpeg (PTS)stretch (security)7:3.2.18-0+deb9u1fixed
stretch (lts), stretch7:3.2.19-0+deb9u4fixed
buster7:4.1.9-0+deb10u1fixed
buster (security)7:4.1.11-0+deb10u1fixed
bullseye7:4.3.6-0+deb11u1fixed
bullseye (security)7:4.3.7-0+deb11u1fixed
bookworm (security), bookworm7:5.1.5-0+deb12u1fixed
trixie7:6.1.1-4fixed
sid7:6.1.1-5fixed
mplayer (PTS)stretch2:1.3.0-6fixed
buster2:1.3.0-8fixed
buster (security)2:1.3.0-8+deb10u1fixed
bullseye2:1.4+ds1-1+deb11u1fixed
bookworm2:1.5+svn38408-1fixed
sid, trixie2:1.5+svn38542-1fixed
vlc (PTS)jessie, jessie (lts)2.2.7-1~deb8u1fixed
stretch (security)3.0.12-0+deb9u1fixed
stretch (lts), stretch3.0.20-0+deb9u1fixed
buster3.0.17.4-0+deb10u1fixed
buster (security)3.0.20-0+deb10u1fixed
bullseye (security), bullseye3.0.21-0+deb11u1fixed
bookworm (security), bookworm3.0.21-0+deb12u1fixed
sid, trixie3.0.21-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
ffmpegsourcesarge0.cvs20050313-2sarge1DSA-992-1
ffmpegsource(unstable)0.cvs20050918-5.1medium342207
gst-ffmpegsource(unstable)0.8.7-5medium343503
mplayersource(unstable)(not affected)
vlcsourcewoody(not affected)DSA-1004-1
vlcsourcesarge0.8.1.svn20050314-1sarge1DSA-1004-1
vlcsource(unstable)0.8.4.debian-2medium
xine-libsourcewoody(not affected)DSA-1005-1
xine-libsourcesarge1.0.1-1sarge2DSA-1005-1
xine-libsource(unstable)1.0.1-1.5medium342208
xmoviesource(unstable)(unfixed)

Notes

- mplayer <not-affected> (Fixed before initial upload)
kino, smilutils, motion and vlc link statically against libavcodec, need a recompile once ffmpeg is fixed
smilutils, motion, kino link statically against libavcodec, but don't use the vulnerable function

Search for package or bug name: Reporting problems